(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: uindex.ml,v 1.3 2014/01/10 15:28:04 fclement Exp $*)

type 'a t = Unatural.t;;

external to_t : Unatural.t -> 'a t = "%identity";;
external of_t : 'a t -> Unatural.t = "%identity";;

external of_natural : Unatural.t -> 'a t = "%identity";;
external to_natural : 'a t -> Unatural.t = "%identity";;

let of_int i = of_natural (Unatural.of_int i);;

external to_int : 'a t -> int = "%identity";;

let _0_ = Unatural._0_
and _1_ = Unatural._1_
;;

let succ = Unatural.succ
and pred = Unatural.pred
;;
